Bug Hunting Session
Bug 97963 - Input areas in Header dialog get wider and bottom area disappears
Summary: Input areas in Header dialog get wider and bottom area disappears
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.4.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Katarina Behrens (CIB)
URL:
Whiteboard: target:5.2.0 target:5.1.2
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-18 05:34 UTC by HD
Modified: 2016-10-25 19:09 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
input areas get wider (14.17 KB, image/png)
2016-02-18 05:34 UTC, HD
Details

Note You need to log in before you can comment on or make changes to this bug.
Description HD 2016-02-18 05:34:18 UTC
Created attachment 122753 [details]
input areas get wider

When header font size is so big, input areas in Header dialog get wider vertically, as a result Custom header icons disappear. 
If this problem occurs I cannot modify font again.

Steps to reproduce:
1.Open new spreadsheet.
2.Click [Format] - [Page] - [Header] - [Edit...]
3.Put cursor in Center or Right area and click [Sheet Name] in Custom header.
4.Select inserted sheet name and click [Text Attributes] in Custom header.
5.Set text to font 80pt then click [OK].
6.Close all dialog with [OK].
7.Open Header dialog again...

Then Input areas get wider so that Header and Custom header area disappear.

This problem doesn't occur when you insert text in Left area in Header dialog.
Reproducible font size depends on screen resolution.
(e.g. 32pt with my laptop 1366 * 768)

Regards.
Comment 1 Buovjaga 2016-02-20 15:25:00 UTC
Yeah, they get taller.

Win 7 Pro 64-bit, Version: 5.1.0.3 (x64)
Build ID: 5e3e00a007d9b3b6efb6797a8b8e57b51ab1f737
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: fi-FI (fi_FI)
Comment 2 Katarina Behrens (CIB) 2016-02-25 14:46:34 UTC
I thought I've fixed this one already ... *sigh*
Comment 3 Commit Notification 2016-02-28 10:42:31 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=787e17d15a1cdb259b56f91bfda9af80b95167c3

tdf#97963: Impose size limit on all 3 edit windows

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-02-29 09:46:25 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7eae3f0389503a39291d0d8dc746a2390588068e&h=libreoffice-5-1

tdf#97963: Impose size limit on all 3 edit windows

It will be available in 5.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Katarina Behrens (CIB) 2016-02-29 09:51:14 UTC
... which makes this fixed for 5.2 and 5.1

There's gonna be 1 very last 5.0.X bugfix release and I don't consider this issue to be severe to justify a backport (with all the code review red tape), but it can of course be discussed